# R1_up

r1上层

## 外设

+ CAN1
  + 扳机2006 id:0x201
+ CAN2
  + 小米电机 id:1  
+ UART
  + uart1 波特率4000000 id：2
  + uart6 nuc
  + uart3 遥控器接收
+ GPIO
  + PI6运球光电
  + PE13 爪气缸
  + PE14 砸气缸

## 遥控器

## 待解决

+ 用了将运球和伸缩绑定到一起  √
+ 串口收数加个滤波  √

## 思路

+ 👆 传球档           👆  配合档  
+ 中  初始档           中  初始档
+ 👇  发射档          👇  运球档
+ 起步遥控档我直接蓄力准备接球  + 可多次的运球
  + 缩回转移球
  + 蓄力到位,收到掉落信号和已伸出信号
  + 根据视觉拟合信息的动态调整
  + 拨置👇发射清空掉落信号

+ 用一个攻守方档
  + 初始移动到最上面 更待蓄力(不管攻方守方都在最上面等待)
  + 攻方时拨下立马蓄力并伸出(可小角度)
  + 守方时不动并保持缩回
  + 👇  运球档正常运球
  + 中  初始档直接缩回
  + 👆 配合档 完成配合并伸出才能发射

+ 传球模式
  + 自动
    + 底盘的传球对准档拨下
    + 我的蓄力进入传球拟合
    + 继续拨下发射
  + 手动
    + 目前只能打固定距离
      + 切相同传球档 自动蓄力到传球力度
      + 发射档发射
    + 图传多距离
      + 传球档
      + 旋钮+看图传点位调整

+ 修复
  + 6.29 发射误操作导致没有拟合作用就射了(已修复)
  + 6.29 串口不稳定 重新拔插一下
  + 6.29 nuc位置更新慢
  + 6.29 添加光电上电保护防止跳尺(已添加)
  